Subject: Re: New Version Notification for draft-leiba-cotton-iana-5226bis-00.txt

From: Barry Leiba <[email-masked]>
Date: Wed, 1 Aug 2012 02:27:10 -0400

We're working on a new edition of BCP 26, "Guidelines for Writing an
IANA Considerations Section in RFCs".  Comments, please.  You can see
Section 12.1 for a summary of significant changes.

Barry (with Michelle and Thomas)

On Wed, Aug 1, 2012 at 2:23 AM,  <[email-masked]> wrote:
>
> A new version of I-D, draft-leiba-cotton-iana-5226bis-00.txt
> has been successfully submitted by Barry Leiba and posted to the
> IETF repository.
>
> Filename:        draft-leiba-cotton-iana-5226bis
> Revision:        00
> Title:           Guidelines for Writing an IANA Considerations Section in RFCs
> Creation date:   2012-08-01
> WG ID:           Individual Submission
> Number of pages: 36
> URL:             http://www.ietf.org/internet-drafts/draft-leiba-cotton-iana-5226bis-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-leiba-cotton-iana-5226bis
> Htmlized:        http://tools.ietf.org/html/draft-leiba-cotton-iana-5226bis-00
>
>
> Abstract:
>    Many protocols make use of identifiers consisting of constants and
>    other well-known values.  Even after a protocol has been defined and
>    deployment has begun, new values may need to be assigned (such as for
>    a new option type in DHCP, or a new encryption or authentication
>    transform for IPsec).  To ensure that such quantities have consistent
>    values and interpretations across all implementations, their
>    assignment must be administered by a central authority.  For IETF
>    protocols, that role is provided by the Internet Assigned Numbers
>    Authority (IANA).
>
>    In order for IANA to manage a given namespace prudently, it needs
>    guidelines describing the conditions under which new values can be
>    assigned or when modifications to existing values can be made.  If
>    IANA is expected to play a role in the management of a namespace,
>    IANA must be given clear and concise instructions describing that
>    role.  This document discusses issues that should be considered in
>    formulating a policy for assigning values to a namespace and provides
>    guidelines for authors on the specific text that must be included in
>    documents that place demands on IANA.
>
>    This document obsoletes RFC 5226.